package com.mosty.common.base.constant.enums;

import lombok.AllArgsConstructor;

/**
 *  密码等级和对应规则
 * @date 2022/2/16 11:06 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum PasswordLevelEnum {

    /** 密码等级 */
    PASSWORD_LEVEL_ONE(1, "");


    /** 等级 */
    public final Integer code;

    /** 规则 */
    public final String rule;
}
