package com.mosty.common.base.exception;


/**
 *  业务异常枚举, code 为{@code 0} 表示默认值
 *
 * @author hongmin.li
 * @date 2021/8/17 10:55
 * @since 1.6.5
 */
public enum BusinessExceptionEnum {

    /** 门店功能配置获取异常 */
    STORE_FUNCTION_EXCEPTION(0, "获取换货比例远程服务异常"),
    ;

    public final int code;

    public final String message;

    BusinessExceptionEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

}
