package com.mosty.common.config.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 *  系统配置
 * @author kevin
 * @date 2022/3/22 10:22 PM
 * @since 1.0.0
 */
@Data
@Configuration
public class SystemConfig {

    /** 密码登陆 */
    @Value("${config.defaultPassword:123456}")
    private String defaultPassword;

}
