package com.mosty.common.config.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 *  修改字典信息请求
 * @author kevin
 * @date 2022/2/20 9:24 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class EditDictItemVO {

    @NotNull(message = "主键id不能为空")
    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "字典名称")
    private String zdmc;

    @ApiModelProperty(value = "字典代码")
    private String dm;

    @ApiModelProperty(value = "字典拼音")
    private String py;

    @ApiModelProperty(value = "排序字典：100在1前面，倒序")
    private Integer px;

    @ApiModelProperty(value = "备注")
    private String bz;

}
