package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *  修改字典明细信息
 * @author kevin
 * @date 2022/2/20 5:24 PM
 * @since 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "字典明细信息")
public class EditSysDictItemVO implements Serializable {

    /**
     * 序列化标识
     */
    private static final long serialVersionUID = -3202056339726922311L;

    @NotNull(message = "主键id不能为空")
    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "字典名称")
    private String zdmc;

    @ApiModelProperty(value = "字典代码")
    private String dm;

    @ApiModelProperty(value = "字典拼音")
    private String py;

    @ApiModelProperty(value = "备注")
    private String bz;

}
