package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 *  修改系统版本管理请求
 * @author kevin
 * @date 2022/2/21 9:06 PM
 * @since 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "修改系统版本管理对象")
public class EditVersionManageVO implements Serializable {

    /** 序列化标识 */
    private static final long serialVersionUID = 4182901351269001103L;

    @ApiModelProperty(value = "系统版本管理id")
    private Long id;


    @ApiModelProperty(value = "版本")
    private String sysVersion;

    @ApiModelProperty(value = "发布时间")
    private LocalDateTime publishTime;

    @ApiModelProperty(value = "新增功能")
    private String addFunction;

    @ApiModelProperty(value = "修复bug")
    private String fixBug;

    @ApiModelProperty(value = "备注")
    private String bz;

}
