package com.mosty.common.config.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  版本管理分页请求
 * @author kevin
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class VersionManagePage extends Page {

    /**
     * 版本
     */
    private String sysVersion;

    /**
     * 发布开始时间
     */
    private String startPublishTime;

    /**
     * 发布结束时间
     */
    private String endPublishTime;

}
