package com.mosty.common.config.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.config.entity.SysDictItem;
import com.mosty.common.config.entity.vo.AddDictItemVO;
import lombok.Data;

/**
 * <p>
 * 字典代码值表 服务类
 * </p>
 *
 * @author kevin
 * @since 2022-02-09
 */
public interface SysDictItemService extends IService<SysDictItem> {

    /**
     * 添加字典明细信息
     * @param addDictItemVo 待添加的信息
     * @param rootPath 父根节点开始的路口，当前还不包含自己的id
     * @param ipAddress ip地址
     */
    void addSysDictItem(AddDictItemVO addDictItemVo, String rootPath, String ipAddress);

}
