package com.mosty.common.config.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.config.entity.SysVersionManage;
import com.mosty.common.config.entity.vo.VersionManagePage;

/**
 * <p>
 * 版本管理表 服务类
 * </p>
 *
 * @author kevin
 * @since 2022-02-21
 */
public interface SysVersionManageService extends IService<SysVersionManage> {

    /**
     * 版本管理功能分页
     * @param versionManagePage 分页请求
     * @return 分页数据
     */
    IPage<SysVersionManage> selectByPage(VersionManagePage versionManagePage);

}
