package com.mosty.common.core.business.entity.request;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * app首页配置-板块内容表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="app首页配置-板块内容", description="app首页配置-板块内容")
public class SysUserAppHomeconfigPlateListPage extends Page {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "配置id")
    private Long pzId;

    @ApiModelProperty(value = "配置板块ID")
    private Long pzPlateId;

    @ApiModelProperty(value = "内容ID")
    private Long plateListId;

    @ApiModelProperty(value = "内容名称")
    private String nrmc;

}
