package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 添加 部门 用户关联关系
 * @author liyan
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class AddRoleDataPartitionVO extends Page {

    /**
     * 角色id
     */
    @ApiModelProperty("角色id")
    private Long id;
    /**
     * 数据权限等级
     */
    @ApiModelProperty("数据权限等级")
    private String dataPermissionLevel;




}
