package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 添加 部门 用户关联关系
 * @author liyan
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class AddRoleMenuVO  {

    @ApiModelProperty("角色id")
    @NotNull(message = "角色id不能为空")
    private Long roleId;

    @ApiModelProperty("菜单ids, 菜单可以为空表示解绑，才能删除角色")
    private List<Long> menuIds;
}
