package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class DataPermissionVO {
    @ApiModelProperty(value = "数据权限等级")
    private String permissionLevel;

    @ApiModelProperty(value = "数据权限对应得部门ids")
    private List<Long> deptIds;
}
