package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  分页查询部门信息
 * @author kevin
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class RoleByDeptPage extends Page {

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门id")
    private Long deptId;


    /**
     * 角色id
     */
    @ApiModelProperty(value = "角色id")
    private Long roleId;

}
