package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  分页查询角色信息
 * @author kevin
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class RolePage extends Page {

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 用户id
     */
    private String userId;

}
