package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 用户和角色关联关系
 */
@Data
@Accessors(chain = true)
public class UnboundUserRoleVO implements Serializable {

    private static final long serialVersionUID = 3289683012945300862L;

    @NotEmpty(message = "关联关系ids")
    @ApiModelProperty(value = "关联关系ids")
    private List<Long> ids;


}