package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 *  用户部门分页展示
 * @author kevin
 * @date 2022/6/5 2:36 下午
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class UserDeptPage extends Page {

    @ApiModelProperty("登陆名称")
    private String loginName;

    @ApiModelProperty("电话号码")
    private String phone;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("部门Id")
    private String deptId;

    @ApiModelProperty("orgcode")
    private String orgcode;

    @ApiModelProperty("ssbmdm")
    private String ssbmdm;

    @ApiModelProperty("部门id集合")
    private List<String> deptList;

}
