package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 添加 部门 用户关联关系
 * @author liyan
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class UserDeptVO implements Serializable {


    /**
     * 部门id
     */
    @ApiModelProperty("关联关系id")
    private Long id;


    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 用户昵称
     */
    @ApiModelProperty("用户昵称")
    private String userName;

    /**
     * 登录账号
     */
    @ApiModelProperty("登录账号")
    private String loginName;

    @ApiModelProperty("注销标志")
    private Integer  xtZxbz;

    /**
     * 录入时间
     */
    @ApiModelProperty("录入时间")
    private Date xtLrsj;

}
