package com.mosty.common.core.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.core.business.entity.SysAppHomeconfigPlateList;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * app首页配置-板块内容表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysAppHomeconfigPlateListMapper extends BaseMapper<SysAppHomeconfigPlateList> {

    /**
     * 根据首页ID删除
     * @param plateId
     */
    void deleteByPlateId(@Param("plateId") Long plateId);

}
