package com.mosty.common.core.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.core.business.entity.SysUserAppHomeconfig;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户app首页配置表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysUserAppHomeconfigMapper extends BaseMapper<SysUserAppHomeconfig> {

    /**
     * 根据身份证号删除
     * @param sfzh
     */
    void deleteBySfzh(@Param("sfzh") String sfzh);

}
