package com.mosty.common.core.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.core.business.entity.SysUserAppHomeconfigPlate;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户app首页配置-板块表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysUserAppHomeconfigPlateMapper extends BaseMapper<SysUserAppHomeconfigPlate> {

    /**
     * 根据首页ID删除
     * @param pzId
     */
    void deleteByPzid(@Param("pzId") Long pzId);

    /**
     * 根据首页ID删除
     * @param id
     */
    void updateById(@Param("id") Long id, @Param("zxbz") Integer zxbz);


}
