package com.mosty.common.core.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mosty.common.core.business.entity.SysOss;
import com.mosty.common.core.business.mapper.SysOssMapper;
import com.mosty.common.core.business.mapper.SysPositionMapper;
import com.mosty.common.core.business.service.SysOssService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * OSS云存储表 服务实现类
 * </p>
 *
 * @author zengbo
 * @since 2022-08-31
 */
@Service
@AllArgsConstructor
public class SysOssServiceImpl extends ServiceImpl<SysOssMapper, SysOss> implements SysOssService {

    private final SysOssMapper sysOssMapper;

    @Override
    public void saveSysOss(SysOss sysOss) {
        sysOssMapper.insert(sysOss);
    }
}
