package com.mosty.common.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 任务日志表
 * @TableName sys_task_log
 */
@TableName(value ="sys_task_log")
@Data
public class SysTaskLog implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务下发处置表id
     */
    @TableField(value = "task_item_id")
    private Long taskItemId;

    /**
     * 任务id
     */
    @TableField(value = "rw_id")
    private Long rwId;

    /**
     * 任务接受人id
     */
    @TableField(value = "rwjsr_id")
    private Long rwjsrId;

    /**
     * 任务处置时间
     */
    @TableField(value = "rwczsj")
    private LocalDateTime rwczsj;

    /**
     * 任务处置状态
     */
    @TableField(value = "rwczzt")
    private Integer rwczzt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}