package com.mosty.common.task.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@Accessors(chain = true)
public class AddSysTaskDeptVO implements Serializable {

    @ApiModelProperty("任务接受部门编码， 执行类型为部门时 必传" )
    private Long deptCode;

    /**
     * 任务接受部门单位id
     */
    @ApiModelProperty("任务接受人单位id 执行类型为部门时 必传")
    private Long companyId;

    /**
     * 任务接受部门单位名称
     */
    @ApiModelProperty("任务接受人单位名称 执行类型为部门时 必传")
    private String companyName;


}
