package com.mosty.common.base.constant.enums;

import lombok.AllArgsConstructor;

/**
 *  系统配置key
 * @date 2022/2/16 11:06 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum ConfigKeyEnum {
    /** 密码等级 */
    PASSWORD_LEVEL("password.level", "密码等级");


    /** key */
    public final String code;

    /** 描述 */
    public final String desc;
}
