package com.mosty.common.base.system.config;

import com.mosty.common.base.timeconsume.TimeConsume;
import com.mosty.common.base.timeconsume.TimeConsumeActionConfig;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 *  系统配置启动类
 * @author kevin
 * @date 2022/2/4 11:10 AM
 * @since 1.0.0
 */
@Inherited
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import(TimeConsumeActionConfig.class)
public @interface EnableSystemConfig {
}