package com.mosty.common.base.token;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 *  当前用户登陆信息
 * @author kevin
 * @date 2022/2/6 3:06 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class MostyUserInfo {

    /**
     * 所属公司
     */
    private Long companyId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户所属部门（用户有多个部门时，是当前用户选择切换的部门）
     */
    private Long deptId;



//    private List<UserRole>

}
