package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *  字典信息VO
 * @author kevin
 * @date 2022/2/9 8:20 PM
 * @since 1.0.0
 */
@Data
public class SysDictVO {

    /**
     * 字典明细信息
     */
    private List<SysDictItemVO> itemList;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "字典名称")
    private String zdmc;

    @ApiModelProperty(value = "是否树形字典：1、不是（列表） 2、树形")
    private Integer zdlx;

    @ApiModelProperty(value = "字典业务类别")
    private String zdywlb;

    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "引用标准")
    private String yybz;

    @ApiModelProperty(value = "备注")
    private String bz;

}
