package com.mosty.common.config.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.base.constant.enums.ConfigKeyEnum;
import com.mosty.common.config.entity.SysConfig;
import com.mosty.common.config.entity.SysDict;
import com.mosty.common.config.entity.vo.ConfigPage;
import com.mosty.common.config.entity.vo.DictPage;

/**
 * <p>
 * 参数配置表 服务类
 * </p>
 *
 * @author kevin
 * @since 2022-02-10
 */
public interface SysConfigService extends IService<SysConfig> {

    IPage<SysConfig> selectByPage(ConfigPage page);

    /**
     * 根据配制键获取值
     * @param passwordLevel
     * @return
     */
    SysConfig getOneByKey(ConfigKeyEnum passwordLevel);
}
