package com.mosty.common.core.business.entity.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * app首页表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SysAppHomeconfig对象", description="app首页表")
public class SysAppHomeconfigPage extends Page {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "首页ID")
    private Long id;

    @ApiModelProperty(value = "首页名称，如：领导端")
    private String homename;

}
