package com.mosty.common.core.business.entity.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * app首页配置-板块内容表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="app首页配置-板块内容", description="app首页配置-板块内容")
public class SysAppHomeconfigPlateListPage extends Page {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "板块ID")
    private Long plateId;

    @ApiModelProperty(value = "内容名称")
    private String nrmc;

}
