package com.mosty.common.core.business.entity.request;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * app首页表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@Accessors(chain = true)
@ApiModel(value="SysUserAppHomeconfig对象", description="用户app首页配置表")
public class SysUserAppHomeconfigQuery {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "首页id")
    private Long homeid;

    @ApiModelProperty(value = "首页名称")
    private String homename;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户身份证号")
    private String userSfzh;

}
