package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.common.core.business.entity.SysDept;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 分页查询部门信息
 *
 * @author kevin
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DeptPage extends Page<SysDept> {

    // 部门名称
    private String deptName;

    // 部门编码
    private String orgCode;

    // 部门编码ids
    private String ids;

    // 是否需要权限 1.不需要权限
    private String isAll;
}
