package com.mosty.common.core.business.entity.vo;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 分页查询部门信息
 *
 * @author kevin
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class DeptQuery {

    // 部门名称
    private String deptname;

    // 部门编码
    private String deptcode;

    // 部门父级编码
    private Integer parentid;
}
