package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  用户分页展示
 * @author dw
 * @date 2022/2/17 10:04 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class GetUserPage {

    @ApiModelProperty("查询方式 1.本部门 2.所有部门")
    private String type;

    @ApiModelProperty("搜索关键字")
    private String keyword;
}
