package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  登陆返回信息
 * @author kevin
 * @date 2022/5/25 4:19 下午
 * @since 1.0.0
 */
@Data
@Api(tags = "登陆返回body和cookie")
public class LoginResponseVO {

    @ApiModelProperty("登陆返回的body")
    private String loginResponseBody;

    @ApiModelProperty("登陆返回的Set-Cookie键值对")
    private String loginResponseCookie;

}
