package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 添加 部门 用户关联关系
 * @author liyan
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class RoleDeptVO  implements Serializable {


    /**
     * 部门id
     */
    @ApiModelProperty("关联关系id")
    private Long id;


    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @ApiModelProperty("角色id")
    private Long roleId;

    /**
     * 角色名称
     */
    @ApiModelProperty("角色名称")
    private String roleName;

    /**
     * 角色描述
     */
    @ApiModelProperty("角色描述")
    private String roleDesc;

    @ApiModelProperty("注销标志")
    private Integer  xtZxbz;

    /**
     * 录入时间
     */
    @ApiModelProperty("录入时间")
    private Date xtLrsj;

}
