package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  角色关联的用户信息分页查询请求
 * @author kevin
 * @date 2022/2/20 11:24 AM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class RoleUserPage extends Page {

    /**
     * 登陆名称
     */
    @ApiModelProperty("登陆名称")
    private String loginName;

    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String phone;

    /**
     * 角色id
     */
    @ApiModelProperty("角色id")
    private Long roleId;

}
