package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 用户信息视图
 *
 * @author kevin
 * @date 2022/2/17 10:08 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class SysUserDeptVO {

    @ApiModelProperty(value = "用户ID")
    private Long id;

    @ApiModelProperty(value = "岗位ID")
    private Long positionId;

    @ApiModelProperty(value = "岗位名称")
    private String positionName;

    @ApiModelProperty(value = "登录账号")
    private String loginName;

    @ApiModelProperty(value = "用户昵称")
    private String userName;

    @ApiModelProperty(value = "移动电话")
    private String mobile;

    @ApiModelProperty(value = "电话号码")
    private String telePhone;

    @ApiModelProperty(value = "用户性别（0男 1女 2未知）")
    private String sex;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "政治面貌")
    private String politic;

    @ApiModelProperty(value = "婚姻状态")
    private String marital;

    @ApiModelProperty(value = "人员类别")
    private String type;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "证件号码")
    private String idEntityCard;

    @ApiModelProperty(value = "文化程度")
    private String whcd;

    @ApiModelProperty(value = "文化程度")
    private String hylb;

    @ApiModelProperty(value = "行业号")
    private String inDustRialId;

    @ApiModelProperty(value = "是否虚拟用户")
    private String isVirtualUser;

    @ApiModelProperty(value = "是否在线 SYS_SF 0.否 1.是")
    private boolean sfzx;

    @ApiModelProperty(value = "是否融合")
    private String sfrh;

    @ApiModelProperty(value = "是否融合")
    private String mk;


}
