package com.mosty.common.core.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.core.business.entity.SysUserAppHomeconfigPlateList;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户app首页配置-板块内容表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysUserAppHomeconfigPlateListMapper extends BaseMapper<SysUserAppHomeconfigPlateList> {

    /**
     * 根据配置ID删除
     * @param pzId
     */
    void deleteByPzId(@Param("pzId") Long pzId, @Param("pzPlateId") Long pzPlateId);

    /**
     * 根据配置ID删除
     * @param pzId
     */
    void delByPzId(@Param("pzId") Long pzId);

    /**
     * 修改配置内容
     * @param pzId
     */
    void updateById(@Param("pzId") Long pzId, @Param("pzPlateId") Long pzPlateId, @Param("plateListId") Long plateListId, @Param(
            "zxbz") Integer zxbz);

}
