package com.mosty.common.core.business.service;

import com.mosty.common.core.business.entity.SysRoleDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author li
* @description 针对表【sys_role_dept(角色和部门关联表)】的数据库操作Service
* @createDate 2022-02-12 16:53:15
*/
public interface SysRoleDeptService extends IService<SysRoleDept> {
    /**
     * 部门id
     * @param deptId
     * @return
     */
    List<SysRoleDept> listByDeptId(Long deptId);

    /**
     *
     * @param deptId
     * @param roleId
     * @return
     */
    SysRoleDept getByDeptIdAndRoleId(Long deptId, Long roleId);
}
