package com.mosty.common.core.business.service;

import com.mosty.common.core.business.entity.SysRoleMenu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Set;

/**
* @author li
* @description 针对表【sys_role_menu(角色和菜单关联表)】的数据库操作Service
* @createDate 2022-02-12 16:53:18
*/
public interface SysRoleMenuService extends IService<SysRoleMenu> {
    /**
     * 根据角色ids查询菜单
     * @param rolesSet
     * @return
     */
    List<SysRoleMenu> listByRoleIds(Set<Long> rolesSet);

    /**
     * g根据菜单id查询角色
     * @param id
     * @return
     */
    Set<Long> listByMenuId(Long id);
}
