package com.mosty.common.core.constant;

import lombok.AllArgsConstructor;

/**
 *  菜单类型枚举
 * @author kevin
 * @date 2022/2/22 12:53 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public class DataPermissionConstant {

    /**
     * 全部数据权限
     */
    public static final String DATA_SCOPE_ALL = "1";

    /**
     * 市级数据权限
     */
    public static final String DATA_SCOPE_CITY = "2";

    /**
     * 县级数据权限
     */
    public static final String DATA_SCOPE_COUNTY = "3";


    /**
     * 部门及以下数据权限
     */
    public static final String DATA_SCOPE_DEPT_AND_CHILD = "4";
    /**
     * 部门数据权限
     */
    public static final String DATA_SCOPE_DEPT = "5";

    /**
     * 仅本人数据权限
     */
    public static final String DATA_SCOPE_SELF = "99";

}
