package com.mosty.common.core.login.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 *  部门信息对象
 * @author kevin
 * @date 2022/2/16 9:42 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class DeptDTO implements Serializable {

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("部门祖籍列表")
    private String path;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("部门简称")
    private String deptJc;

    @ApiModelProperty("部门编码")
    private String deptCode;

    @ApiModelProperty("部门等级")
    private String deptLevel;

    @ApiModelProperty("所在部门业务类型代码")
    private String deptBizType;

}
