package com.mosty.common.core.login.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 *  图片请求参数
 * @author
 * @date 2022/2/15 8:26 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@ApiModel("图片请求参数")
public class ImageRequest {

    /**
     * 图片地址
     */
    @NotEmpty(message = "图片地址不能为空！")
    @ApiModelProperty(value = "图片地址", required = true)
    private String url;


}
