package com.common.dynamic.datasource;

import java.lang.annotation.*;

/**
 *  切换数据注解 可以用于类或者方法级别 方法级别优先级 > 类级别
 *
 * @author kevin
 * @date 2022/4/29 8:59 上午
 * @since 1.0.0
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.TYPE, ElementType.PARAMETER})
public @interface DataSource {

    String value() default "master";

}
