package com.mosty.common.task.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
public class AddSysTaskUserInfoVO implements Serializable {




    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    @NotNull(message = "身份证号")
    private String idCardNo;


    /**
     * 任务接受人单位id
     */
    @ApiModelProperty("任务接受人单位id")
    @NotNull(message = "任务接受人单位id")
    private Long companyId;

    /**
     * 任务接受人单位名称
     */
    @ApiModelProperty("任务接受人单位名称")
    private String companyName;


}
