package com.mosty.common.task.entity.vo;

import com.mosty.common.token.UserInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FinishSysTaskVO implements Serializable {
    @ApiModelProperty(value = "下发任务id")
    private Long taskItemId;
    @ApiModelProperty(value ="操作人身份证",required = true)
    @NotBlank(message="操作人身份证不能为空")
    private String  idCardNo;
    @ApiModelProperty(value = "来源任务id",required = true)
    @NotBlank(message = "来源系统id不能为空")
    private String lyxtId;
    @ApiModelProperty(value ="部门编码")
    private String  deptCode;


}
