package com.mosty.common.token;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *  用户信息泛解析标识
 * @author kevin
 * @date 2022/2/16 1:17 PM
 * @since 1.0.0
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.TYPE})
public @interface JwtSysUser {

    /**
     * 用户realm，方便后续扩展
     * @return 用户
     */
    String value() default "";
}
