package com.mosty.common.token;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 *  用户权限信息
 * @author Lhh
 * @date 2022/06/27 17:24
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class UserPermissionsInfo {

    @ApiModelProperty("权限过滤条件ids")
    private String ids;

    @ApiModelProperty("权限过滤条件orgcodes")
    private String orgcodes;

    @ApiModelProperty("权限等级（D_ZDY_SJQX）")
    private String permissionsLevel;

    @ApiModelProperty("权限SQL(ssbmid)")
    private String permissionsSql;

    @ApiModelProperty("权限SQL(ssbmdm)")
    private String permissionsSqlCode;

}
