package com.mosty.operation.log.aspect;

import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 *  feign其他 微服务操作日志处理 启动器
 * @author kevin
 * @date 2022/6/7 5:01 下午
 * @since 1.0.0
 */
@Configuration
@EnableFeignClients(basePackages = "com.mosty.operation.log.aspect")
@ComponentScan(basePackages = "com.mosty.operation.log.aspect")
public class OperationLogAspectAutoConfiguration {

}
